| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
Digikam::ThumbnailSize Class Reference

## Public Types
enum | Size { Step = 8 , Tiny = 32 , VerySmall = 64 , MediumSmall = 80 , Small = 100 , Medium = 142 , Large = 160 , Huge = 256 , HD = 512 , MAX = 1024 }

## Public Member Functions
| ThumbnailSize (const ThumbnailSize &thumbsize)
| ThumbnailSize (int size)
bool | operator!= (const ThumbnailSize &thumbsize) const
ThumbnailSize & | operator= (const ThumbnailSize &thumbsize)
bool | operator== (const ThumbnailSize &thumbsize) const
int | size () const

## Static Public Member Functions
static bool | getUseLargeThumbs ()
static int | maxThumbsSize ()
static void | readSettings (const KConfigGroup &group)
static void | saveSettings (KConfigGroup &group, bool val)
static void | setUseLargeThumbs (bool val)

## Member Enumeration Documentation

## ◆ Size

enum Digikam::ThumbnailSize::Size

Enumerator
Small | Most usable small size of thumbnails to prevent overloaded overlays show under thumbs (as Pick label and Group indicator) See bugs #321337 and #275381 for details.